# -*- coding: utf-8 -*-
receitas = """SELECT CDFILIAL||DECODE(CDSERVFILI,NULL,'','-'||CDSERVFILI) AS FILISERV,
CASE WHEN CDFILAUXPRAT = 'P' THEN 'P' ELSE 'L' END AS CDFILAUXPRAT, CDPRATO, NMPRATO, RECEITA
FROM       
(SELECT 'S' AS TIPO,RECESERV.CDFILIAL, RECESERV.CDSERVFILI, RECESERV.CDFILAUXPRAT, P.NMPRATO, RECESERV.CDPRATO, 
        TO_CHAR(SUBSTR(RTRIM( XMLAGG(XMLELEMENT( E, PR.NMPRODUTO, ' - ') ORDER BY PR.NMPRODUTO).EXTRACT('//text()').GETCLOBVAL(), ' - ' ),0,4000)) AS RECEITA 
   FROM FILIAL F INNER JOIN FILGRUPFILI FI ON FI.CDFILIAL = F.CDFILIAL AND FI.CDGRUPFILI = '0000000001'
                 INNER JOIN SERVICO S ON F.CDFILIAL = S.CDFILIAL
                 INNER JOIN RECESERV ON RECESERV.CDFILIAL = F.CDFILIAL AND RECESERV.CDSERVFILI = S.CDSERVFILI
                 INNER JOIN PRATO P ON P.CDFILAUXPRAT = RECESERV.CDFILAUXPRAT AND P.CDPRATO = RECESERV.CDPRATO AND P.IDATIVO = 'S'   
                 INNER JOIN PRODUTO PR ON RECESERV.CDPRODUTO = PR.CDPRODUTO
                 LEFT JOIN PRATSERV ON PRATSERV.CDPRATO = RECESERV.CDPRATO AND PRATSERV.CDFILAUXPRAT = RECESERV.CDFILAUXPRAT AND 
                                       PRATSERV.CDFILIAL = RECESERV.CDFILIAL AND PRATSERV.CDSERVFILI = RECESERV.CDSERVFILI 
  WHERE (NVL(PRATSERV.IDATIVO,'S') = 'S') AND F.IDCNTRRESC = 'N' AND S.IDTIPOSERV = 'N' AND S.IDSERVATIV = 'S'
  GROUP BY RECESERV.CDFILIAL, RECESERV.CDSERVFILI, RECESERV.CDFILAUXPRAT, P.NMPRATO, RECESERV.CDPRATO      
 UNION ALL 
 SELECT 'F' AS TIPO, RECEFILI.CDFILIAL, NULL AS CDSERVFILI, RECEFILI.CDFILAUXPRAT , P.NMPRATO, RECEFILI.CDPRATO, 
        TO_CHAR(SUBSTR(RTRIM( XMLAGG(XMLELEMENT( E, PR.NMPRODUTO, ' - ') ORDER BY PR.NMPRODUTO ).EXTRACT('//text()').GETCLOBVAL(), ' - ' ),0,4000)) AS RECEITA
   FROM FILIAL F INNER JOIN FILGRUPFILI FI ON FI.CDFILIAL = F.CDFILIAL AND FI.CDGRUPFILI = '0000000001'
                 INNER JOIN RECEFILI ON RECEFILI.CDFILIAL = F.CDFILIAL
                 INNER JOIN PRATO P ON P.CDFILAUXPRAT = RECEFILI.CDFILAUXPRAT AND P.CDPRATO = RECEFILI.CDPRATO 
                 INNER JOIN PRODUTO PR ON RECEFILI.CDPRODUTO = PR.CDPRODUTO
                 LEFT JOIN PRATFILI ON PRATFILI.CDPRATO = RECEFILI.CDPRATO AND 
                                       PRATFILI.CDFILAUXPRAT = RECEFILI.CDFILAUXPRAT AND PRATFILI.CDFILIAL = RECEFILI.CDFILIAL 
  WHERE (NVL(PRATFILI.IDATIVO,'S') = 'S') AND F.IDCNTRRESC = 'N' AND P.IDATIVO = 'S' 
        /*AND NOT EXISTS ( SELECT RECESERV.CDPRATO 
                       FROM RECESERV LEFT JOIN PRATSERV ON PRATSERV.CDPRATO = RECESERV.CDPRATO AND PRATSERV.CDFILAUXPRAT = RECESERV.CDFILAUXPRAT AND 
                                       PRATSERV.CDFILIAL = RECESERV.CDFILIAL AND PRATSERV.CDSERVFILI = RECESERV.CDSERVFILI
                      WHERE ( RECESERV.CDFILAUXPRAT = RECEFILI.CDFILAUXPRAT ) AND ( RECESERV.CDPRATO = RECEFILI.CDPRATO ) AND ( RECESERV.CDFILIAL = RECEFILI.CDFILIAL )
                      AND (NVL(PRATSERV.IDATIVO,'S') = 'S')) */
 GROUP BY RECEFILI.CDFILIAL, RECEFILI.CDFILAUXPRAT, P.NMPRATO, RECEFILI.CDPRATO                       
) A"""


cardapio = """SELECT 
       CDFILIAL||CASE WHEN TIPO = 'F' THEN '' ELSE '-'||CDSERVFILI END AS FILISERV, 
       CASE WHEN CDFILAUXPRAT = 'P' THEN 'P' ELSE 'L' END AS CDFILAUXPRAT, 
       CDPRATO,  
       DTMESCARD
  FROM (SELECT C.CDFILIAL, C.CDSERVFILI, CP.CDFILAUXPRAT, CP.CDPRATO, C.DTMESCARD,
               (SELECT DISTINCT 'S' AS TIPO
                  FROM RECESERV LEFT JOIN PRATSERV ON PRATSERV.CDPRATO = RECESERV.CDPRATO AND PRATSERV.CDFILAUXPRAT = RECESERV.CDFILAUXPRAT AND 
                                                      PRATSERV.CDFILIAL = RECESERV.CDFILIAL AND PRATSERV.CDSERVFILI = RECESERV.CDSERVFILI 
                 WHERE (NVL(PRATSERV.IDATIVO,'S') = 'S') AND 
                        RECESERV.CDFILIAL = F.CDFILIAL AND RECESERV.CDSERVFILI = S.CDSERVFILI AND RECESERV.CDFILAUXPRAT = CP.CDFILAUXPRAT AND RECESERV.CDPRATO = CP.CDPRATO
                UNION ALL 
                SELECT DISTINCT 'F' AS TIPO
                  FROM RECEFILI LEFT JOIN PRATFILI ON PRATFILI.CDPRATO = RECEFILI.CDPRATO AND 
                                                      PRATFILI.CDFILAUXPRAT = RECEFILI.CDFILAUXPRAT AND PRATFILI.CDFILIAL = RECEFILI.CDFILIAL 
                 WHERE (NVL(PRATFILI.IDATIVO,'S') = 'S') AND
                       NOT EXISTS ( SELECT RECESERV.CDPRATO 
                                      FROM RECESERV LEFT JOIN PRATSERV ON PRATSERV.CDPRATO = RECESERV.CDPRATO AND PRATSERV.CDFILAUXPRAT = RECESERV.CDFILAUXPRAT AND 
                                                                     PRATSERV.CDFILIAL = RECESERV.CDFILIAL AND PRATSERV.CDSERVFILI = RECESERV.CDSERVFILI
                                     WHERE (RECESERV.CDFILAUXPRAT = RECEFILI.CDFILAUXPRAT) AND (RECESERV.CDPRATO = RECEFILI.CDPRATO) AND 
                                           (RECESERV.CDFILIAL = RECEFILI.CDFILIAL) AND (NVL(PRATSERV.IDATIVO,'S') = 'S')
                                  ) 
                       AND RECEFILI.CDFILIAL = F.CDFILIAL AND RECEFILI.CDFILAUXPRAT = CP.CDFILAUXPRAT AND RECEFILI.CDPRATO = CP.CDPRATO              
                ) TIPO
                 FROM FILIAL F INNER JOIN FILGRUPFILI FI ON FI.CDFILIAL = F.CDFILIAL AND FI.CDGRUPFILI = '0000000001'
                               INNER JOIN SERVICO S ON F.CDFILIAL = S.CDFILIAL
                               INNER JOIN CARDADIA C ON C.CDFILIAL = F.CDFILIAL AND C.CDSERVFILI = S.CDSERVFILI 
                               INNER JOIN COMPCARD CP ON CP.CDFILIAL = F.CDFILIAL AND CP.NRCARDAPIO = C.NRCARDAPIO
                WHERE F.IDCNTRRESC = 'N' AND S.IDTIPOSERV = 'N' AND S.IDSERVATIV = 'S' AND
                      C.DTMESCARD BETWEEN ADD_MONTHS(TRUNC(SYSDATE,'MM'),-12) AND TRUNC(SYSDATE,'MM')
        ) A WHERE TIPO IS NOT NULL"""