const B64 = 'base64';
const ASCII = 'ascii';

const Util = {
    base64( input ){
        return Buffer.from( input ).toString( B64 );
    },
    base64ToAscii( base64 ){
        return Buffer.from( base64, B64 ).toString( ASCII );
    }
}

const { base64, base64ToAscii } = Util;
export {
    base64,
    base64ToAscii
};
export default Util;